require 'paul_walker/version'
require 'paul_walker/rate_limit'
require 'paul_walker/store'

module PaulWalker
  class << self
    attr_accessor :redis
    attr_writer :redis_url
    def configure
      yield self if block_given?
    end

    def redis_url
      @redis_url || ENV['REDIS_URL']
    end
  end
end
